package com.itblogs.controller;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.MessageSource;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

@Controller
@RequestMapping("/")
public class TestController {

	private static final Logger logger = Logger.getLogger(TestController.class);
	
    @Autowired
    MessageSource messageSource;

    
    @RequestMapping(value = { "/", "/welcome" }, method = RequestMethod.GET)
    public String welcome(ModelMap model) {
    	model.addAttribute("greeting", "Hello World Again, from Spring 4 MVC");
    	
        return "welcome";
    }
 
 
}