package com.itblogs.service;

import java.util.List;

import com.itblogs.model.Address;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

public interface AddressService {

	public Address find(Integer id);
	public List<Address> list(String orderBy, Boolean isAse);
	public long count();
	public void save(Address address);     
	public void delete(Address address);
	public void deleteByID(Integer id);
	public boolean contains(Integer id);
     
}
