package com.itblogs.service;

import java.sql.Date;
import java.util.List;

import com.itblogs.model.Customer;
import com.itblogs.model.Orders;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

public interface OrdersService {

	public Orders find(Integer id);
	public List<Orders> list(String orderBy, Boolean isAse);
	public List<Orders> listByCustomer(Customer customer, String orderBy, Boolean isAse);
	public List<Orders> listByDate(Date orderDate, Boolean status, String orderBy, Boolean isAses);
	public long count();
	public void save(Orders orders);     
	public void delete(Orders orders);
	public void deleteByID(Integer id);
	public boolean contains(Integer id);
     
}
