<%@ page language="java" contentType="text/html; charset=UTF-8" isELIgnored="false" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>Customer Listing</title>
	<link href="<c:url value='' />" rel="stylesheet"></link>
</head>
<body>
	<div class="generic-container">
	
		<div class="alert alert-success lead">${msg}</div>
	
		<div class="well">
	 		<a href="<c:url value='/customer/new' />">Add New Customer</a>
	 	</div>
		<div class="panel panel-default">
			  <!-- Default panel contents -->
		  	<div class="panel-heading"><span class="lead">List of Customers </span></div>
			<table class="table table-hover">
	    		<thead>
		      		<tr>
				        <th><spring:message code="form.label.id"/></th>
				        <th><spring:message code="form.label.firstname"/></th>
				        <th><spring:message code="form.label.lastname"/></th>
				        <th><spring:message code="form.label.telephone"/></th>
				        <th><spring:message code="form.label.email"/></th>
						<th><spring:message code="form.label.age"/></th>
				        <th><spring:message code="form.label.gender"/></th>
				        <th width="100"></th>
				        <th width="100"></th>
				        <th width="100"></th>
				        <th width="100"></th>
					</tr>
		    	</thead>
	    		<tbody>
				<c:forEach items="${customers}" var="customer">
					<tr>
						<td>${customer.id}</td>
						<td>${customer.firstname}</td>
						<td>${customer.lastname}</td>
						<td>${customer.telephone}</td>						
						<td>${customer.email}</td>
						<td>${customer.age}</td>
						<td>${customer.gender}</td>
						<td><a href="<c:url value='/customer/update/${customer.id}' />" class="btn btn-success custom-width">update</a></td>
						<td><a href="<c:url value='/customer/delete/${customer.id}' />" class="btn btn-danger custom-width">delete</a></td>
						<td><a href="<c:url value='/order/list/${customer.id}' />" class="btn btn-danger custom-width">orders list</a></td>
						<td><a href="<c:url value='/order/new/${customer.id}' />" class="btn btn-danger custom-width">new order</a></td>
					</tr>
				</c:forEach>
	    		</tbody>
	    	</table>
		</div>
   	</div>
</body>
</html>