<%@ page language="java" contentType="text/html; charset=UTF-8" isELIgnored="false" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>Orders Listing</title>
	<link href="<c:url value='' />" rel="stylesheet"></link>
</head>
<body>
	<div class="generic-container">
	
		<div class="alert alert-success lead">${msg}</div>

		<div class="well">
	 		<a href="<c:url value='/order/new' />">Add New Orders</a>
	 	</div>
		<div class="panel panel-default">
			  <!-- Default panel contents -->
		  	<div class="panel-heading"><span class="lead">List of Orders </span></div>
			<table class="table table-hover">
	    		<thead>
		      		<tr>
				        <th><spring:message code="form.label.id"/></th>
				        <th><spring:message code="form.label.orderDate"/></th>
				        <th><spring:message code="form.label.price"/></th>
				        <th><spring:message code="form.label.status"/></th>
				        <th><spring:message code="form.label.customer"/></th>
				        <th width="100"></th>
				        <th width="100"></th>
					</tr>
		    	</thead>
	    		<tbody>
				<c:forEach items="${orders}" var="order">
					<tr>
						<td>${order.id}</td>
						<td><fmt:formatDate pattern="yyyy-MM-dd HH:mm:ss" value="${order.orderDate}" /></td>
						<td><fmt:formatNumber type="number" pattern="#,###.##" value="${order.price}" /></td>
						<td>${order.status}</td>						
						<td>${order.customer.firstname} ${order.customer.lastname}</td>
						<td><a href="<c:url value='/order/update/${order.id}' />" class="btn btn-success custom-width">update</a></td>
						<td><a href="<c:url value='/order/delete/${order.id}' />" class="btn btn-danger custom-width">delete</a></td>
					</tr>
				</c:forEach>
	    		</tbody>
	    	</table>
		</div>
   	</div>
</body>
</html>