<%@ page language="java" contentType="text/html; charset=UTF-8" isELIgnored="false" pageEncoding="UTF-8"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/angular_material/1.0.0/angular-material.min.css">
  <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://rawgit.com/esvit/ng-table/master/dist/ng-table.css">   
  <link rel="stylesheet" href="resources/css/app.css">
</head>
<body ng-app="AngularApp" ng-cloak>

	<div ng-controller="AppController" layout="column" style="height:800px;" ng-cloak>
		<%@include file="../WEB-INF/jsp/_include/header.jsp" %>
	  	<section layout="row" flex>
			<%@include file="../WEB-INF/jsp/_include/menu.jsp" %>
		
			<md-content flex layout-padding>
			  <div layout="column" layout-align="top center">
				<p>
				This example show you how to build Spring MVC + Hibernate ORM models with AngularJS / Angular Material web application step by step, layer by layer. 
				After going through our examples, you should be able to handle Spring and Hibernate frameworks.
				</p>
				<p><a href="http://www.it-blogs.com" target="_blank">Please find more details from www.it-blogs.com</a></p>
			  </div>
			  <div flex></div>
			</md-content>
	  
	  	</section>	  
	</div>
  
  <!-- Angular Material requires Angular.js Libraries -->
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-animate.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-aria.min.js"></script>
  <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular-messages.min.js"></script>

  <!-- Angular Material Library -->
  <script src="http://ajax.googleapis.com/ajax/libs/angular_material/1.0.0/angular-material.min.js"></script>

  <!-- Angular ngTable Library -->
  <script src="https://rawgit.com/esvit/ng-table/master/dist/ng-table.js"></script>      
  
  <!-- Your application bootstrap  -->
  <script src="resources/js/app.js"></script>
  
</body>
</html>