package com.itblogs.dao;

import java.util.List;

import com.itblogs.model.Customer;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

public interface CustomerDao {

	public Customer find(Integer id);
	public Customer findByName(String lastname, String firstname);
	public List<Customer> list(String orderBy, Boolean isAse);
	public long count();
	public void save(Customer customer);     
	public void delete(Customer customer);
	public void deleteByID(Integer id);
	public boolean contains(Integer id);
     
}
