package com.itblogs.service;

import java.util.List;

import com.itblogs.model.Shop;

/**
 * @author      Kelvin Hui
 * @see       	it-blogs.com
 * @since     	01-Jan-2016
 */

public interface ShopService {

	public Shop find(Integer id);
	public Shop findByName(String name);
	public List<Shop> list(String orderBy, Boolean isAse);
	public long count();
	public void save(Shop shop);     
	public void delete(Shop shop);
	public void deleteByID(Integer id);
	public void deleteByName(String name);
	public boolean contains(Integer id);
     
}
